Opened 8 years ago

Closed 8 years ago

Last modified 8 years ago

#10336 closed Bug Report - General (fixed)

black screen using opengl painter in opensuse 12.1

Reported by: yiannividalis@… Owned by:
Priority: minor Milestone: 0.25
Component: MythTV - General Version: Master Head
Severity: medium Keywords:
Cc: Ticket locked: yes

Description

Hi, I am also creating this as a ticket after reporting it in the users list.

After updating to openSuSE 12.1 (and also after a clean 12.1 installation) neither mythfrontend nor mythtv-setup show any menus. After showing the Arclight background briefly, the screen goes black. Only ctrl+c stops the program.

Before, the system was on opensuse 11.4 with 290.10 nvidia drivers working flawlessly using vdpau.

In 12.1 I have tried 290.10 and 285.05 without success. Using the official nvidia driver from the opensuse repo doesn't work either.

This problem was reported in the dev list by another user before me: http://www.gossamer-threads.com/lists/mythtv/dev/502283

I cannot provide frontend log because I have to change the card configuration using mythtv-setup first. The terminal logging of mythtv-setup is:

2012-02-13 22:28:31.368460 C mythtv-setup version: master [v0.25pre-4422-g334f61f-dirty] www.mythtv.org
2012-02-13 22:28:31.368495 N Enabled verbose msgs: general
2012-02-13 22:28:31.368528 N Setting Log Level to LOG_INFO
2012-02-13 22:28:31.368575 I Added logging to the console
2012-02-13 22:28:31.368581 I Added database logging to table logging
2012-02-13 22:28:31.368686 N Setting up SIGHUP handler
2012-02-13 22:28:31.368865 N Using runtime prefix = /usr
2012-02-13 22:28:31.368881 N Using configuration directory = /home/yianni/.mythtv
2012-02-13 22:28:31.370327 N Empty LocalHostName.
2012-02-13 22:28:31.370337 I Using localhost value of storage
2012-02-13 22:28:31.370471 I Testing network connectivity to '192.168.13.100'
2012-02-13 22:28:31.372355 I Starting process manager
2012-02-13 22:28:31.372438 I Starting process signal handler
2012-02-13 22:28:31.372463 I Starting IO manager (write)
2012-02-13 22:28:31.372484 I Starting IO manager (read)
2012-02-13 22:28:31.488111 I Database connection created: DBManager0
2012-02-13 22:28:31.488158 I New DB connection, total: 1
2012-02-13 22:28:31.490235 I Connected to database 'mythconverg' at host: 192.168.13.100
2012-02-13 22:28:31.492756 I Closing DB connection named 'DBManager0'
2012-02-13 22:28:31.492904 I Database connection created: DBManager1
2012-02-13 22:28:31.492919 I New DB connection, total: 1
2012-02-13 22:28:31.493289 I Connected to database 'mythconverg' at host: 192.168.13.100
2012-02-13 22:28:31.493969 I Current locale el_GR
2012-02-13 22:28:31.494009 E No locale defaults file for el_GR, skipping
2012-02-13 22:28:31.569796 I Database connection created: DBManager2
2012-02-13 22:28:31.569901 I New DB connection, total: 2
2012-02-13 22:28:31.570532 I Connected to database 'mythconverg' at host: 192.168.13.100
2012-02-13 22:28:31.573884 I ScreenSaverX11Private: DPMS is active.
2012-02-13 22:28:31.622147 N Desktop video mode: 1920x1080 60.000 Hz
2012-02-13 22:28:31.636791 I Loading el translation for module mythfrontend
2012-02-13 22:28:31.637335 E LIRC: Failed to connect to Unix socket '/dev/lircd'
eno: ΞΡν ΟΟΞ¬ΟΟΡι ΟΞ­ΟΞΏΞΉΞΏ Ξ±ΟΟΡίο Ξ� ΞΊΞ±ΟΞ¬Ξ»ΞΏΞ³ΞΏΟ (2)
2012-02-13 22:28:31.637912 I UDPListener: bound to port 6948
2012-02-13 22:28:31.669799 I Using Frameless Window
2012-02-13 22:28:31.669865 I Using Full Screen Window
2012-02-13 22:28:31.803465 I Trying the OpenGL painter
2012-02-13 22:28:31.811084 W NVCtrl: OpenGL Sync to VBlank is disabled.
2012-02-13 22:28:31.811100 W NVCtrl: For best results enable this in NVidia settings or try running:
2012-02-13 22:28:31.811104 W NVCtrl: nvidia-settings -a "SyncToVBlank=1"
2012-02-13 22:28:31.811141 W NVCtrl: Alternatively try setting the '__GL_SYNC_TO_VBLANK' environment variable.
2012-02-13 22:28:31.870545 E OpenGL: Multi-texturing not supported. Certain OpenGL features will not work
2012-02-13 22:28:31.870559 E OpenGL: GL_EXT_vertex_array extension not supported. This may not work
2012-02-13 22:28:31.870568 I OpenGL: OpenGL vendor :
2012-02-13 22:28:31.870573 I OpenGL: OpenGL renderer:
2012-02-13 22:28:31.870577 I OpenGL: OpenGL version :
2012-02-13 22:28:31.870585 I OpenGL: Max texture size: 512 x 512
2012-02-13 22:28:31.870592 I OpenGL: Max texture units: 0
2012-02-13 22:28:31.870598 I OpenGL: Direct rendering: Yes
2012-02-13 22:28:31.870602 I OpenGL: Initialised MythRenderOpenGL
2012-02-13 22:28:32.379739 I Current MythTV Schema Version (DBSchemaVer): 1294
2012-02-13 22:28:32.516340 E Failed to create OpenGL texture. 

Then the screen goes black.

Mythavtest plays video (but I have to setup the sound I think after the format...)

I had already updated my laptop (intel i915 GPU I think - centrino) to 12.1 without issues.

Please let me know anything else I should provide.

TIA,

Yianni

Change History (8)

comment:1 Changed 8 years ago by yiannividalis@…

I updated to MythTV Version : v0.25pre-4541-g94d27c6-dirty MythTV Branch : master Network Protocol : 72 Library API : 0.25.20120212-5 QT Version : 4.7.4 Options compiled in:

linux profile use_hidesyms using_alsa using_oss using_backend using_bindings_perl using_bindings_python using_bindings_php using_dvb using_frontend using_hdpvr using_iptv using_libcrypto using_libfftw3 using_libxml2 using_lirc using_mheg using_qtwebkit using_qtscript using_qtdbus using_v4l2 using_x11 using_xrandr using_bindings_perl using_bindings_python using_bindings_php using_mythtranscode using_opengl using_opengles using_vdpau using_ffmpeg_threads using_live using_mheg using_libxml2

but the problem remains. Things I tried:

  • changing the theme to Graphite and Mythcenter-wide - No success
  • changing the ThemePainter? to qt using phpMyAdmin - No success
  • I edited the configure file to disable opengles - No success

I was wrong before, i.e. the system is responsive and doesn't require ctrl+c, i.e. it exits by pressing escape.

I am enclosing another terminal output because it shows more messages.

Can someone at least help me bypass this problem until I setup the backend? If not here, maybe in the users list?

Thanks

Yianni.

2012-02-15 19:56:56.356339 C  mythtv-setup version: master [v0.25pre-4541-g94d27c6-dirty] www.mythtv.org
2012-02-15 19:56:56.356379 N  Enabled verbose msgs:  general
2012-02-15 19:56:56.356420 N  Setting Log Level to LOG_INFO
2012-02-15 19:56:56.356481 I  Added logging to the console
2012-02-15 19:56:56.356489 I  Added database logging to table logging
2012-02-15 19:56:56.356613 N  Setting up SIGHUP handler
2012-02-15 19:56:56.356835 N  Using runtime prefix = /usr
2012-02-15 19:56:56.356852 N  Using configuration directory = /home/yianni/.mythtv
2012-02-15 19:56:56.358373 N  Empty LocalHostName.
2012-02-15 19:56:56.358387 I  Using localhost value of storage
2012-02-15 19:56:56.358570 I  Testing network connectivity to '192.168.13.100'
2012-02-15 19:56:56.361074 I  Starting process manager
2012-02-15 19:56:56.361212 I  Starting IO manager (read)
2012-02-15 19:56:56.362740 I  Starting IO manager (write)
2012-02-15 19:56:56.362859 I  Starting process signal handler
2012-02-15 19:56:56.512828 I  Database connection created: DBManager0
2012-02-15 19:56:56.512875 I  New DB connection, total: 1
2012-02-15 19:56:56.515220 I  Connected to database 'mythconverg' at host: 192.168.13.100
2012-02-15 19:56:56.520143 I  Closing DB connection named 'DBManager0'
2012-02-15 19:56:56.520301 I  Database connection created: DBManager1
2012-02-15 19:56:56.520319 I  New DB connection, total: 1
2012-02-15 19:56:56.520764 I  Connected to database 'mythconverg' at host: 192.168.13.100
2012-02-15 19:56:56.521601 I  Current locale el_GR
2012-02-15 19:56:56.521658 E  No locale defaults file for el_GR, skipping
2012-02-15 19:56:56.557520 I  Database connection created: DBManager2
2012-02-15 19:56:56.557550 I  New DB connection, total: 2
2012-02-15 19:56:56.558186 I  Connected to database 'mythconverg' at host: 192.168.13.100
2012-02-15 19:56:56.564270 I  ScreenSaverX11Private: DPMS is active.
2012-02-15 19:56:56.628083 N  Desktop video mode: 1920x1080 60.000 Hz
2012-02-15 19:56:56.638590 C  MythCoreContext: Host is configured to listen on 0:0:0:0:0:0:0:1, but address is not used on any local network interfaces.
2012-02-15 19:56:56.644357 I  Loading el translation for module mythfrontend
2012-02-15 19:56:56.644907 E  LIRC: Failed to connect to Unix socket '/dev/lircd'
                        eno: Îεν ÏÏάÏÏει ÏέÏοιο αÏÏείο ή καÏÎ¬Î»Î¿Î³Î¿Ï (2)
2012-02-15 19:56:56.645480 I  Binding to UDP 127.0.0.1:6948
2012-02-15 19:56:56.645540 I  Binding to UDP 192.168.13.100:6948
2012-02-15 19:56:56.645591 I  Binding to UDP 255.255.255.255:6948
2012-02-15 19:56:56.679914 I  Using Frameless Window
2012-02-15 19:56:56.679984 I  Using Full Screen Window
2012-02-15 19:56:56.888856 I  Trying the OpenGL painter
2012-02-15 19:56:57.031802 W  NVCtrl: OpenGL Sync to VBlank is disabled.
2012-02-15 19:56:57.031818 W  NVCtrl: For best results enable this in NVidia settings or try running:
2012-02-15 19:56:57.031822 W  NVCtrl: nvidia-settings -a "SyncToVBlank=1"
2012-02-15 19:56:57.031859 W  NVCtrl: Alternatively try setting the '__GL_SYNC_TO_VBLANK' environment variable.
2012-02-15 19:56:57.306115 I  OpenGL: Vendor  : 
2012-02-15 19:56:57.306129 I  OpenGL: Renderer: 
2012-02-15 19:56:57.306134 I  OpenGL: Version : 
2012-02-15 19:56:57.306142 I  OpenGL: Max texture size: 512 x 512
2012-02-15 19:56:57.306147 I  OpenGL: Direct rendering: Yes
2012-02-15 19:56:57.306152 I  OpenGL2ES: Found default functionality.
2012-02-15 19:56:57.306156 I  OpenGL2ES: Framebuffer Objects available.
2012-02-15 19:56:57.312012 E  OpenGL2: Failed to compile shader.
2012-02-15 19:56:57.312024 E  0(2) : warning C7022: unrecognized profile specifier "mediump"
0(2) : warning C7022: unrecognized profile specifier "precision"
0(3) : error C7573: OpenGL/ES requires precision specifier on float types

2012-02-15 19:56:57.312027 E  #version 100
precision mediump float;
varying vec4 v_color;
void main(void)
{
    gl_FragColor = v_color;
}

2012-02-15 19:56:57.312688 E  OpenGL2: Failed to compile shader.
2012-02-15 19:56:57.312695 E  0(2) : warning C7022: unrecognized profile specifier "mediump"
0(2) : warning C7022: unrecognized profile specifier "precision"
0(4) : error C7573: OpenGL/ES requires precision specifier on float types
0(5) : error C7573: OpenGL/ES requires precision specifier on float types

2012-02-15 19:56:57.312698 E  #version 100
precision mediump float;
uniform sampler2D s_texture0;
varying vec4 v_color;
varying vec2 v_texcoord0;
void main(void)
{
    gl_FragColor = texture2D(s_texture0, v_texcoord0) * v_color;
}

2012-02-15 19:56:57.313342 E  OpenGL2: Failed to compile shader.
2012-02-15 19:56:57.313349 E  0(2) : warning C7022: unrecognized profile specifier "mediump"
0(2) : warning C7022: unrecognized profile specifier "precision"
0(3) : error C7573: OpenGL/ES requires precision specifier on float types
0(4) : error C7573: OpenGL/ES requires precision specifier on float types
0(5) : error C7573: OpenGL/ES requires precision specifier on float types
0(8) : error C7573: OpenGL/ES requires precision specifier on float types
0(9) : error C7573: OpenGL/ES requires precision specifier on float types

2012-02-15 19:56:57.313354 E  #version 100
precision mediump float;
varying vec4 v_color;
varying vec2 v_position;
uniform mat4 u_parameters;
void main(void)
{
    float dis = distance(v_position.xy, u_parameters[0].xy);
    float mult = smoothstep(u_parameters[0].z, u_parameters[0].w, dis);
    gl_FragColor = v_color * vec4(1.0, 1.0, 1.0, mult);
}

2012-02-15 19:56:57.314033 E  OpenGL2: Failed to compile shader.
2012-02-15 19:56:57.314043 E  0(2) : warning C7022: unrecognized profile specifier "mediump"
0(2) : warning C7022: unrecognized profile specifier "precision"
0(3) : error C7573: OpenGL/ES requires precision specifier on float types
0(4) : error C7573: OpenGL/ES requires precision specifier on float types
0(5) : error C7573: OpenGL/ES requires precision specifier on float types
0(8) : error C7573: OpenGL/ES requires precision specifier on float types
0(9) : error C7573: OpenGL/ES requires precision specifier on float types
0(10) : error C7573: OpenGL/ES requires precision specifier on float types
0(11) : error C7573: OpenGL/ES requires precision specifier on float types

2012-02-15 19:56:57.314049 E  #version 100
precision mediump float;
varying vec4 v_color;
varying vec2 v_position;
uniform mat4 u_parameters;
void main(void)
{
    float dis = distance(v_position.xy, u_parameters[0].xy);
    float rad = u_parameters[0].z;
    float wid = u_parameters[0].w;
    float mult = smoothstep(rad + wid, rad + (wid - 1.0), dis) * smoothstep(rad - (wid + 1.0), rad - wid, dis);
    gl_FragColor = v_color * vec4(1.0, 1.0, 1.0, mult);
}

2012-02-15 19:56:57.314697 E  OpenGL2: Failed to compile shader.
2012-02-15 19:56:57.314705 E  0(2) : warning C7022: unrecognized profile specifier "mediump"
0(2) : warning C7022: unrecognized profile specifier "precision"
0(3) : error C7573: OpenGL/ES requires precision specifier on float types
0(4) : error C7573: OpenGL/ES requires precision specifier on float types
0(5) : error C7573: OpenGL/ES requires precision specifier on float types
0(8) : error C7573: OpenGL/ES requires precision specifier on float types
0(9) : error C7573: OpenGL/ES requires precision specifier on float types
0(10) : error C7573: OpenGL/ES requires precision specifier on float types

2012-02-15 19:56:57.314710 E  #version 100
precision mediump float;
varying vec4 v_color;
varying vec2 v_position;
uniform mat4 u_parameters;
void main(void)
{
    float dis = abs(u_parameters[0].x - v_position.x);
    float y = u_parameters[0].y * 2.0;
    float mult = smoothstep(y, y - 0.1, dis) * smoothstep(-0.1, 0.0, dis);
    gl_FragColor = v_color * vec4(1.0, 1.0, 1.0, mult);
}

2012-02-15 19:56:57.315379 E  OpenGL2: Failed to compile shader.
2012-02-15 19:56:57.315386 E  0(2) : warning C7022: unrecognized profile specifier "mediump"
0(2) : warning C7022: unrecognized profile specifier "precision"
0(3) : error C7573: OpenGL/ES requires precision specifier on float types
0(4) : error C7573: OpenGL/ES requires precision specifier on float types
0(5) : error C7573: OpenGL/ES requires precision specifier on float types
0(8) : error C7573: OpenGL/ES requires precision specifier on float types
0(9) : error C7573: OpenGL/ES requires precision specifier on float types
0(10) : error C7573: OpenGL/ES requires precision specifier on float types

2012-02-15 19:56:57.315391 E  #version 100
precision mediump float;
varying vec4 v_color;
varying vec2 v_position;
uniform mat4 u_parameters;
void main(void)
{
    float dis = abs(u_parameters[0].x - v_position.y);
    float x = u_parameters[0].y * 2.0;
    float mult = smoothstep(x, x - 0.1, dis) * smoothstep(-0.1, 0.0, dis);
    gl_FragColor = v_color * vec4(1.0, 1.0, 1.0, mult);
}

2012-02-15 19:56:57.315759 I  OpenGL: Initialised MythRenderOpenGL
2012-02-15 19:56:57.652090 E  XMLParseBase: Unable to load window 'backgroundwindow' from base
2012-02-15 19:56:57.654489 I  Current MythTV Schema Version (DBSchemaVer): 1296
2012-02-15 19:56:58.126693 E  Failed to create OpenGL texture.
... Repeating until I press escape.
2012-02-15 19:57:00.405952 E  Failed to create OpenGL texture.
2012-02-15 19:57:00.420084 E  Failed to create OpenGL texture.
2012-02-15 19:57:00.434217 E  Failed to create OpenGL texture.
2012-02-15 19:57:00.448405 E  Failed to create OpenGL texture.
2012-02-15 19:57:00.600362 I  OpenGL2: Deleting OpenGL Resources
2012-02-15 19:57:00.600385 I  OpenGL: Deleting OpenGL Resources
2012-02-15 19:57:00.602711 I  Closing DB connection named 'DBManager2'
2012-02-15 19:57:00.644496 I  Closing DB connection named 'DBManager1'

comment:2 Changed 8 years ago by pennguin@…

I have the same problem as Yianni on ArchLinux? with nvidia card (GeForce? 8600 GT) and binary drivers 295.20. Compiled yesterday from master branch. The same mythtv version works good on Intel integrated graphic card. For me only 1/4 of the screen is painted with background when starting frontend (no buttons, just background) and the rest of the screen is black.

MythTV Version : Unknown-gef3fc49
MythTV Branch : master
Network Protocol : 72
Library API : 0.25.20120212-5
QT Version : 4.8.0
Options compiled in:
 linux profile use_hidesyms using_alsa using_pulse using_pulseoutput using_backend using_bindings_python using_bindings_php using_dvb using_frontend using_hdpvr using_iptv using_ivtv using_libcrypto using_libdns_sd using_libxml2 using_libudf using_mheg using_opengl_video using_qtwebkit using_qtscript using_qtdbus using_v4l2 using_x11 using_xrandr using_xv using_bindings_python using_bindings_php using_mythtranscode using_opengl using_opengles using_vdpau using_ffmpeg_threads using_live using_mheg using_libass using_libxml2 using_libudf

% mythfrontend
2012-02-16 11:44:26.283294 C  mythfrontend version: master [Unknown-gef3fc49] www.mythtv.org
2012-02-16 11:44:26.283321 N  Enabled verbose msgs:  general
2012-02-16 11:44:26.283352 N  Setting Log Level to LOG_INFO
2012-02-16 11:44:26.283407 I  Added logging to the console
2012-02-16 11:44:26.283414 I  Added database logging to table logging
2012-02-16 11:44:26.283555 N  Setting up SIGHUP handler
2012-02-16 11:44:26.284622 N  Using runtime prefix = /usr
2012-02-16 11:44:26.284754 N  Using configuration directory = /home/pennguin/.mythtv
2012-02-16 11:44:26.284965 W  This application expects to be running a locale that specifies a UTF-8 codeset, and many features may behave improperly with your current language settings. Please set the LC_ALL or LC_CTYPE, and LANG variable(s) in the environment in which this program is executed to include a UTF-8 codeset (such as 'en_US.UTF-8').
2012-02-16 11:44:26.287147 E  MediaRenderer::HttpServer Create Error
2012-02-16 11:44:26.288787 E  Unable to read configuration file mysql.txt
2012-02-16 11:44:26.288988 N  Empty LocalHostName.
2012-02-16 11:44:26.288998 I  Using localhost value of zygzak
2012-02-16 11:44:26.289151 I  Testing network connectivity to '10.128.0.130'
2012-02-16 11:44:26.289465 I  Starting process manager
2012-02-16 11:44:26.291699 I  Starting process signal handler
2012-02-16 11:44:26.291723 I  Starting IO manager (read)
2012-02-16 11:44:26.291762 I  Starting IO manager (write)
2012-02-16 11:44:26.410650 I  Database connection created: DBManager0
2012-02-16 11:44:26.410700 I  New DB connection, total: 1
2012-02-16 11:44:26.416135 I  Connected to database 'mythconverg' at host: 10.128.0.130
2012-02-16 11:44:26.435457 I  Closing DB connection named 'DBManager0'
2012-02-16 11:44:26.435715 I  Database connection created: DBManager1
2012-02-16 11:44:26.435734 I  New DB connection, total: 1
2012-02-16 11:44:26.444320 I  Connected to database 'mythconverg' at host: 10.128.0.130
2012-02-16 11:44:26.453000 I  Current locale pl_PT
2012-02-16 11:44:26.453066 E  No locale defaults file for pl_PT, skipping
2012-02-16 11:44:26.485174 I  Database connection created: DBManager2
2012-02-16 11:44:26.485203 I  New DB connection, total: 2
2012-02-16 11:44:26.490165 I  Connected to database 'mythconverg' at host: 10.128.0.130
2012-02-16 11:44:26.492996 I  ScreenSaverX11Private: DPMS is active.
2012-02-16 11:44:26.558554 N  Desktop video mode: 1360x768 60.015 Hz
2012-02-16 11:44:26.705254 E  Bonjour: Error: -65537
2012-02-16 11:44:26.705269 E  Bonjour: Failed to register service.
2012-02-16 11:44:26.705400 E  RAOP Conn: Failed to read key from: /home/pennguin/.mythtv/RAOPKey.rsa
2012-02-16 11:44:26.705412 E  RAOP Device: Aborting startup - no key found.
2012-02-16 11:44:26.735203 I  Loading pl translation for module mythfrontend
2012-02-16 11:44:26.801113 I  Binding to UDP 127.0.0.1:6948
2012-02-16 11:44:26.801177 I  Binding to UDP 10.128.0.131:6948
2012-02-16 11:44:26.801273 I  Binding to UDP ::1:6948
2012-02-16 11:44:26.801323 I  Binding to UDP 255.255.255.255:6948
2012-02-16 11:44:27.121211 I  Using Frameless Window
2012-02-16 11:44:27.121264 I  Using Full Screen Window
2012-02-16 11:44:27.137947 I  Trying the OpenGL painter
2012-02-16 11:44:27.139656 W  NVCtrl: OpenGL Sync to VBlank is disabled.
2012-02-16 11:44:27.139672 W  NVCtrl: For best results enable this in NVidia settings or try running:
2012-02-16 11:44:27.139677 W  NVCtrl: nvidia-settings -a "SyncToVBlank=1"
2012-02-16 11:44:27.139696 W  NVCtrl: Alternatively try setting the '__GL_SYNC_TO_VBLANK' environment variable.
2012-02-16 11:44:27.229822 I  OpenGL: Vendor  : NVIDIA Corporation
2012-02-16 11:44:27.229836 I  OpenGL: Renderer: GeForce 8600 GT/PCIe/SSE2
2012-02-16 11:44:27.229841 I  OpenGL: Version : 3.3.0 NVIDIA 295.20
2012-02-16 11:44:27.229858 I  OpenGL: Max texture size: 8192 x 8192
2012-02-16 11:44:27.229864 I  OpenGL: Direct rendering: Yes
2012-02-16 11:44:27.229870 I  OpenGL2ES: Found default functionality.
2012-02-16 11:44:27.229874 I  OpenGL2ES: Framebuffer Objects available.
2012-02-16 11:44:27.229899 I  OpenGL2ES: Pixel Buffer Objects available.
2012-02-16 11:44:27.237313 E  OpenGL2: Failed to compile shader.
2012-02-16 11:44:27.237327 E  0(2) : warning C7022: unrecognized profile specifier "mediump"
0(2) : warning C7022: unrecognized profile specifier "precision"
0(3) : error C7573: OpenGL/ES requires precision specifier on float types

2012-02-16 11:44:27.237330 E  #version 100
precision mediump float;
varying vec4 v_color;
void main(void)
{
    gl_FragColor = v_color;
}

2012-02-16 11:44:27.238417 E  OpenGL2: Failed to compile shader.
2012-02-16 11:44:27.238429 E  0(2) : warning C7022: unrecognized profile specifier "mediump"
0(2) : warning C7022: unrecognized profile specifier "precision"
0(4) : error C7573: OpenGL/ES requires precision specifier on float types
0(5) : error C7573: OpenGL/ES requires precision specifier on float types

2012-02-16 11:44:27.238435 E  #version 100
precision mediump float;
uniform sampler2D s_texture0;
varying vec4 v_color;
varying vec2 v_texcoord0;
void main(void)
{
    gl_FragColor = texture2D(s_texture0, v_texcoord0) * v_color;
}

2012-02-16 11:44:27.239349 E  OpenGL2: Failed to compile shader.
2012-02-16 11:44:27.239361 E  0(2) : warning C7022: unrecognized profile specifier "mediump"
0(2) : warning C7022: unrecognized profile specifier "precision"
0(3) : error C7573: OpenGL/ES requires precision specifier on float types
0(4) : error C7573: OpenGL/ES requires precision specifier on float types
0(5) : error C7573: OpenGL/ES requires precision specifier on float types
0(8) : error C7573: OpenGL/ES requires precision specifier on float types
0(9) : error C7573: OpenGL/ES requires precision specifier on float types

2012-02-16 11:44:27.239367 E  #version 100
precision mediump float;
varying vec4 v_color;
varying vec2 v_position;
uniform mat4 u_parameters;
void main(void)
{
    float dis = distance(v_position.xy, u_parameters[0].xy);
    float mult = smoothstep(u_parameters[0].z, u_parameters[0].w, dis);
    gl_FragColor = v_color * vec4(1.0, 1.0, 1.0, mult);
}

2012-02-16 11:44:27.240271 E  OpenGL2: Failed to compile shader.
2012-02-16 11:44:27.240292 E  0(2) : warning C7022: unrecognized profile specifier "mediump"
0(2) : warning C7022: unrecognized profile specifier "precision"
0(3) : error C7573: OpenGL/ES requires precision specifier on float types
0(4) : error C7573: OpenGL/ES requires precision specifier on float types
0(5) : error C7573: OpenGL/ES requires precision specifier on float types
0(8) : error C7573: OpenGL/ES requires precision specifier on float types
0(9) : error C7573: OpenGL/ES requires precision specifier on float types
0(10) : error C7573: OpenGL/ES requires precision specifier on float types
0(11) : error C7573: OpenGL/ES requires precision specifier on float types

2012-02-16 11:44:27.240300 E  #version 100
precision mediump float;
varying vec4 v_color;
varying vec2 v_position;
uniform mat4 u_parameters;
void main(void)
{
    float dis = distance(v_position.xy, u_parameters[0].xy);
    float rad = u_parameters[0].z;
    float wid = u_parameters[0].w;
    float mult = smoothstep(rad + wid, rad + (wid - 1.0), dis) * smoothstep(rad - (wid + 1.0), rad - wid, dis);
    gl_FragColor = v_color * vec4(1.0, 1.0, 1.0, mult);
}

2012-02-16 11:44:27.241190 E  OpenGL2: Failed to compile shader.
2012-02-16 11:44:27.241202 E  0(2) : warning C7022: unrecognized profile specifier "mediump"
0(2) : warning C7022: unrecognized profile specifier "precision"
0(3) : error C7573: OpenGL/ES requires precision specifier on float types
0(4) : error C7573: OpenGL/ES requires precision specifier on float types
0(5) : error C7573: OpenGL/ES requires precision specifier on float types
0(8) : error C7573: OpenGL/ES requires precision specifier on float types
0(9) : error C7573: OpenGL/ES requires precision specifier on float types
0(10) : error C7573: OpenGL/ES requires precision specifier on float types

2012-02-16 11:44:27.241208 E  #version 100
precision mediump float;
varying vec4 v_color;
varying vec2 v_position;
uniform mat4 u_parameters;
void main(void)
{
    float dis = abs(u_parameters[0].x - v_position.x);
    float y = u_parameters[0].y * 2.0;
    float mult = smoothstep(y, y - 0.1, dis) * smoothstep(-0.1, 0.0, dis);
    gl_FragColor = v_color * vec4(1.0, 1.0, 1.0, mult);
}

2012-02-16 11:44:27.242127 E  OpenGL2: Failed to compile shader.
2012-02-16 11:44:27.242141 E  0(2) : warning C7022: unrecognized profile specifier "mediump"
0(2) : warning C7022: unrecognized profile specifier "precision"
0(3) : error C7573: OpenGL/ES requires precision specifier on float types
0(4) : error C7573: OpenGL/ES requires precision specifier on float types
0(5) : error C7573: OpenGL/ES requires precision specifier on float types
0(8) : error C7573: OpenGL/ES requires precision specifier on float types
0(9) : error C7573: OpenGL/ES requires precision specifier on float types
0(10) : error C7573: OpenGL/ES requires precision specifier on float types

2012-02-16 11:44:27.242148 E  #version 100
precision mediump float;
varying vec4 v_color;
varying vec2 v_position;
uniform mat4 u_parameters;
void main(void)
{
    float dis = abs(u_parameters[0].x - v_position.y);
    float x = u_parameters[0].y * 2.0;
    float mult = smoothstep(x, x - 0.1, dis) * smoothstep(-0.1, 0.0, dis);
    gl_FragColor = v_color * vec4(1.0, 1.0, 1.0, mult);
}

2012-02-16 11:44:27.242687 I  OpenGL: Initialised MythRenderOpenGL
2012-02-16 11:44:27.447671 I  Current MythTV Schema Version (DBSchemaVer): 1296
2012-02-16 11:44:29.254890 N  Registering Internal as a media playback plugin.
2012-02-16 11:44:29.307162 W  No plugins directory /usr/lib/mythtv/plugins
2012-02-16 11:44:29.492630 N  Found mainmenu.xml for theme 'Terra'
2012-02-16 11:44:29.869069 I  Database connection created: DBManager3
2012-02-16 11:44:29.869093 I  New DB connection, total: 3
2012-02-16 11:44:29.884128 I  Connected to database 'mythconverg' at host: 10.128.0.130
2012-02-16 11:44:29.912952 I  MythCoreContext: Connecting to backend server: 10.128.0.130:6543 (try 1 of 1)
2012-02-16 11:44:29.915953 I  Using protocol version 72
2012-02-16 11:44:44.605516 I  Using protocol version 72
2012-02-16 11:44:44.611235 I  Using protocol version 72
^C

comment:3 Changed 8 years ago by yiannividalis@…

I uninstalled the official opensuse nvidia drivers from the nvidia repo and I installed the newest nvidia drivers 295.20. The problem persists. Apparently, there is an option in the newest nvidia drivers not to install the opengl components, but before I try it I must find out what files from other packages it replaces so that I reinstall them.

This is the output log of running mythfrontend with the newest drivers. What else should I provide?

2012-02-17 19:41:12.810785 C  mythfrontend version: master [v0.25pre-4541-g94d27c6-dirty] www.mythtv.org
2012-02-17 19:41:12.810830 N  Enabled verbose msgs:  general
2012-02-17 19:41:12.810874 N  Setting Log Level to LOG_INFO
2012-02-17 19:41:12.810937 I  Added logging to the console
2012-02-17 19:41:12.810945 I  Added database logging to table logging
2012-02-17 19:41:12.811094 N  Setting up SIGHUP handler
2012-02-17 19:41:12.811407 N  Using runtime prefix = /usr
2012-02-17 19:41:12.811425 N  Using configuration directory = /home/yianni/.mythtv
2012-02-17 19:41:12.813828 E  MediaRenderer::HttpServer Create Error
2012-02-17 19:41:12.815318 N  Empty LocalHostName.
2012-02-17 19:41:12.815333 I  Using localhost value of storage
2012-02-17 19:41:12.815480 I  Testing network connectivity to '192.168.13.100'
2012-02-17 19:41:12.816416 I  Starting process manager
2012-02-17 19:41:12.816450 I  Starting process signal handler
2012-02-17 19:41:12.816695 I  Starting IO manager (read)
2012-02-17 19:41:12.820793 I  Starting IO manager (write)
2012-02-17 19:41:12.935088 I  Database connection created: DBManager0
2012-02-17 19:41:12.935139 I  New DB connection, total: 1
2012-02-17 19:41:12.937812 I  Connected to database 'mythconverg' at host: 192.168.13.100
2012-02-17 19:41:12.941458 I  Closing DB connection named 'DBManager0'
2012-02-17 19:41:12.941612 I  Database connection created: DBManager1
2012-02-17 19:41:12.941630 I  New DB connection, total: 1
2012-02-17 19:41:12.942119 I  Connected to database 'mythconverg' at host: 192.168.13.100
2012-02-17 19:41:12.943386 I  Current locale el_GR
2012-02-17 19:41:12.943443 E  No locale defaults file for el_GR, skipping
2012-02-17 19:41:13.011865 I  Database connection created: DBManager2
2012-02-17 19:41:13.011897 I  New DB connection, total: 2
2012-02-17 19:41:13.012597 I  Connected to database 'mythconverg' at host: 192.168.13.100
2012-02-17 19:41:13.017727 I  ScreenSaverX11Private: DPMS is active.
2012-02-17 19:41:13.070654 N  Desktop video mode: 1920x1080 60.000 Hz
2012-02-17 19:41:13.087838 I  Loading el translation for module mythfrontend
2012-02-17 19:41:13.094211 E  LIRC: Failed to connect to Unix socket '/dev/lircd'
                        eno: Îεν ÏÏάÏÏει ÏέÏοιο αÏÏείο ή καÏÎ¬Î»Î¿Î³Î¿Ï (2)
2012-02-17 19:41:13.094915 I  Binding to UDP 127.0.0.1:6948
2012-02-17 19:41:13.094973 I  Binding to UDP 192.168.13.100:6948
2012-02-17 19:41:13.095022 I  Binding to UDP 255.255.255.255:6948
2012-02-17 19:41:13.126318 I  Using Frameless Window
2012-02-17 19:41:13.126379 I  Using Full Screen Window
2012-02-17 19:41:13.254987 I  Trying the OpenGL painter
2012-02-17 19:41:13.262519 W  NVCtrl: OpenGL Sync to VBlank is disabled.
2012-02-17 19:41:13.262533 W  NVCtrl: For best results enable this in NVidia settings or try running:
2012-02-17 19:41:13.262537 W  NVCtrl: nvidia-settings -a "SyncToVBlank=1"
2012-02-17 19:41:13.262570 W  NVCtrl: Alternatively try setting the '__GL_SYNC_TO_VBLANK' environment variable.
2012-02-17 19:41:13.373175 I  OpenGL: Vendor  : 
2012-02-17 19:41:13.373189 I  OpenGL: Renderer: 
2012-02-17 19:41:13.373192 I  OpenGL: Version : 
2012-02-17 19:41:13.373201 I  OpenGL: Max texture size: 512 x 512
2012-02-17 19:41:13.373205 I  OpenGL: Direct rendering: Yes
2012-02-17 19:41:13.373210 I  OpenGL2ES: Found default functionality.
2012-02-17 19:41:13.373213 I  OpenGL2ES: Framebuffer Objects available.
2012-02-17 19:41:13.378302 E  OpenGL2: Failed to compile shader.
2012-02-17 19:41:13.378316 E  0(2) : warning C7022: unrecognized profile specifier "mediump"
0(2) : warning C7022: unrecognized profile specifier "precision"
0(3) : error C7573: OpenGL/ES requires precision specifier on float types

2012-02-17 19:41:13.378320 E  #version 100
precision mediump float;
varying vec4 v_color;
void main(void)
{
    gl_FragColor = v_color;
}

2012-02-17 19:41:13.379004 E  OpenGL2: Failed to compile shader.
2012-02-17 19:41:13.379011 E  0(2) : warning C7022: unrecognized profile specifier "mediump"
0(2) : warning C7022: unrecognized profile specifier "precision"
0(4) : error C7573: OpenGL/ES requires precision specifier on float types
0(5) : error C7573: OpenGL/ES requires precision specifier on float types

2012-02-17 19:41:13.379016 E  #version 100
precision mediump float;
uniform sampler2D s_texture0;
varying vec4 v_color;
varying vec2 v_texcoord0;
void main(void)
{
    gl_FragColor = texture2D(s_texture0, v_texcoord0) * v_color;
}

2012-02-17 19:41:13.379668 E  OpenGL2: Failed to compile shader.
2012-02-17 19:41:13.379676 E  0(2) : warning C7022: unrecognized profile specifier "mediump"
0(2) : warning C7022: unrecognized profile specifier "precision"
0(3) : error C7573: OpenGL/ES requires precision specifier on float types
0(4) : error C7573: OpenGL/ES requires precision specifier on float types
0(5) : error C7573: OpenGL/ES requires precision specifier on float types
0(8) : error C7573: OpenGL/ES requires precision specifier on float types
0(9) : error C7573: OpenGL/ES requires precision specifier on float types

2012-02-17 19:41:13.379681 E  #version 100
precision mediump float;
varying vec4 v_color;
varying vec2 v_position;
uniform mat4 u_parameters;
void main(void)
{
    float dis = distance(v_position.xy, u_parameters[0].xy);
    float mult = smoothstep(u_parameters[0].z, u_parameters[0].w, dis);
    gl_FragColor = v_color * vec4(1.0, 1.0, 1.0, mult);
}

2012-02-17 19:41:13.380380 E  OpenGL2: Failed to compile shader.
2012-02-17 19:41:13.380393 E  0(2) : warning C7022: unrecognized profile specifier "mediump"
0(2) : warning C7022: unrecognized profile specifier "precision"
0(3) : error C7573: OpenGL/ES requires precision specifier on float types
0(4) : error C7573: OpenGL/ES requires precision specifier on float types
0(5) : error C7573: OpenGL/ES requires precision specifier on float types
0(8) : error C7573: OpenGL/ES requires precision specifier on float types
0(9) : error C7573: OpenGL/ES requires precision specifier on float types
0(10) : error C7573: OpenGL/ES requires precision specifier on float types
0(11) : error C7573: OpenGL/ES requires precision specifier on float types

2012-02-17 19:41:13.380399 E  #version 100
precision mediump float;
varying vec4 v_color;
varying vec2 v_position;
uniform mat4 u_parameters;
void main(void)
{
    float dis = distance(v_position.xy, u_parameters[0].xy);
    float rad = u_parameters[0].z;
    float wid = u_parameters[0].w;
    float mult = smoothstep(rad + wid, rad + (wid - 1.0), dis) * smoothstep(rad - (wid + 1.0), rad - wid, dis);
    gl_FragColor = v_color * vec4(1.0, 1.0, 1.0, mult);
}

2012-02-17 19:41:13.381077 E  OpenGL2: Failed to compile shader.
2012-02-17 19:41:13.381087 E  0(2) : warning C7022: unrecognized profile specifier "mediump"
0(2) : warning C7022: unrecognized profile specifier "precision"
0(3) : error C7573: OpenGL/ES requires precision specifier on float types
0(4) : error C7573: OpenGL/ES requires precision specifier on float types
0(5) : error C7573: OpenGL/ES requires precision specifier on float types
0(8) : error C7573: OpenGL/ES requires precision specifier on float types
0(9) : error C7573: OpenGL/ES requires precision specifier on float types
0(10) : error C7573: OpenGL/ES requires precision specifier on float types

2012-02-17 19:41:13.381092 E  #version 100
precision mediump float;
varying vec4 v_color;
varying vec2 v_position;
uniform mat4 u_parameters;
void main(void)
{
    float dis = abs(u_parameters[0].x - v_position.x);
    float y = u_parameters[0].y * 2.0;
    float mult = smoothstep(y, y - 0.1, dis) * smoothstep(-0.1, 0.0, dis);
    gl_FragColor = v_color * vec4(1.0, 1.0, 1.0, mult);
}

2012-02-17 19:41:13.381767 E  OpenGL2: Failed to compile shader.
2012-02-17 19:41:13.381776 E  0(2) : warning C7022: unrecognized profile specifier "mediump"
0(2) : warning C7022: unrecognized profile specifier "precision"
0(3) : error C7573: OpenGL/ES requires precision specifier on float types
0(4) : error C7573: OpenGL/ES requires precision specifier on float types
0(5) : error C7573: OpenGL/ES requires precision specifier on float types
0(8) : error C7573: OpenGL/ES requires precision specifier on float types
0(9) : error C7573: OpenGL/ES requires precision specifier on float types
0(10) : error C7573: OpenGL/ES requires precision specifier on float types

2012-02-17 19:41:13.381781 E  #version 100
precision mediump float;
varying vec4 v_color;
varying vec2 v_position;
uniform mat4 u_parameters;
void main(void)
{
    float dis = abs(u_parameters[0].x - v_position.y);
    float x = u_parameters[0].y * 2.0;
    float mult = smoothstep(x, x - 0.1, dis) * smoothstep(-0.1, 0.0, dis);
    gl_FragColor = v_color * vec4(1.0, 1.0, 1.0, mult);
}

2012-02-17 19:41:13.382170 I  OpenGL: Initialised MythRenderOpenGL
2012-02-17 19:41:13.815596 I  Current MythTV Schema Version (DBSchemaVer): 1296
2012-02-17 19:41:14.087766 N  Registering Internal as a media playback plugin.
2012-02-17 19:41:14.132762 I  Loading el translation for module mytharchive
2012-02-17 19:41:14.135696 N  Registering WebBrowser as a media playback plugin.
2012-02-17 19:41:14.135780 I  Loading el translation for module mythbrowser
2012-02-17 19:41:14.147240 I  Loading el translation for module mythgallery
2012-02-17 19:41:14.150833 I  Loading el translation for module mythgame
2012-02-17 19:41:14.172215 I  Current MythMusic Schema Version (MusicDBSchemaVer): 1019
2012-02-17 19:41:14.181818 I  Loading el translation for module mythmusic
2012-02-17 19:41:14.183823 I  Loading el translation for module mythnetvision
2012-02-17 19:41:14.187079 I  Loading el translation for module mythnews
2012-02-17 19:41:14.192353 I  Starting update of BBC-Current-XML
2012-02-17 19:41:14.192614 E  BBC-Current-XML recently updated, skipping.
2012-02-17 19:41:14.192703 E  nrecoverable error parsing script output 
2012-02-17 19:41:14.192711 E  data[8]: 'wind_dir::'
2012-02-17 19:41:14.192763 I  Starting update of BBC-3day-XML
2012-02-17 19:41:14.192957 E  BBC-3day-XML recently updated, skipping.
2012-02-17 19:41:14.193047 I  Starting update of wunderground
2012-02-17 19:41:14.193244 E  wunderground recently updated, skipping.
2012-02-17 19:41:14.193355 I  Starting update of wunderground-maps
2012-02-17 19:41:14.193540 E  wunderground-maps recently updated, skipping.
2012-02-17 19:41:14.193623 I  Starting update of wunderground-animaps
2012-02-17 19:41:14.193806 E  wunderground-animaps recently updated, skipping.
2012-02-17 19:41:14.193956 I  Loading el translation for module mythweather
2012-02-17 19:41:14.195948 I  Loading el translation for module mythzoneminder
2012-02-17 19:41:14.197020 I  Listening on TCP 127.0.0.1:6546
2012-02-17 19:41:14.197087 I  Listening on TCP 192.168.13.100:6546
2012-02-17 19:41:14.238839 N  Found mainmenu.xml for theme 'Arclight'
2012-02-17 19:41:14.282277 E  Failed to create OpenGL texture.
2012-02-17 19:41:14.509543 I  Database connection created: DBManager3
2012-02-17 19:41:14.509560 I  New DB connection, total: 3
2012-02-17 19:41:14.510216 I  Connected to database 'mythconverg' at host: 192.168.13.100
2012-02-17 19:41:14.536662 I  MythCoreContext: Connecting to backend server: 192.168.13.100:6543 (try 1 of 21)
2012-02-17 19:41:14.537408 I  Using protocol version 72
2012-02-17 19:41:20.771122 E  Failed to create OpenGL texture.
2012-02-17 19:41:20.782283 E  Failed to create OpenGL texture.
2012-02-17 19:41:20.794887 E  Failed to create OpenGL texture.
2012-02-17 19:41:20.808964 E  Failed to create OpenGL texture.
2012-02-17 19:41:20.824961 E  Failed to create OpenGL texture.
2012-02-17 19:41:20.837596 E  Failed to create OpenGL texture.
2012-02-17 19:41:20.851297 E  Failed to create OpenGL texture.
2012-02-17 19:41:20.865520 E  Failed to create OpenGL texture.
2012-02-17 19:41:20.879570 E  Failed to create OpenGL texture.
2012-02-17 19:41:20.893551 E  Failed to create OpenGL texture.
2012-02-17 19:41:21.598001 E  Failed to create OpenGL texture.
2012-02-17 19:41:21.612054 E  Failed to create OpenGL texture.
2012-02-17 19:41:22.051304 I  OpenGL2: Deleting OpenGL Resources
2012-02-17 19:41:22.051326 I  OpenGL: Deleting OpenGL Resources
2012-02-17 19:41:22.052495 I  Waiting for threads to exit.
2012-02-17 19:41:22.054930 I  Closing DB connection named 'DBManager2'
2012-02-17 19:41:22.316732 I  Closing DB connection named 'DBManager3'
2012-02-17 19:41:22.415905 I  Closing DB connection named 'DBManager1'

comment:4 Changed 8 years ago by yiannividalis@…

No success even after experimenting with the nvidia install options:

  • Selecting --opengl-headers parameter doesn't help, still black screen.
  • Selecting --no-opengl-files shows the interface in Qt. At least it works. Video plays ok with vdpau.

I have been rebooting between the attempts and rebuilt mythtv with "make distclean" first. I am enclosing the log. The plugin translations complain because I didn't re-install them.

What can I try now?

2012-02-18 01:36:11.798132 C  mythfrontend version: master [v0.25pre-4541-g94d27c6-dirty] www.mythtv.org
2012-02-18 01:36:11.798177 N  Enabled verbose msgs:  general
2012-02-18 01:36:11.798215 N  Setting Log Level to LOG_INFO
2012-02-18 01:36:11.798277 I  Added logging to the console
2012-02-18 01:36:11.798285 I  Added database logging to table logging
2012-02-18 01:36:11.798406 N  Setting up SIGHUP handler
2012-02-18 01:36:11.799132 N  Using runtime prefix = /usr
2012-02-18 01:36:11.799172 N  Using configuration directory = /home/yianni/.mythtv
2012-02-18 01:36:11.811754 E  MediaRenderer::HttpServer Create Error
2012-02-18 01:36:11.819797 N  Empty LocalHostName.
2012-02-18 01:36:11.819811 I  Using localhost value of storage
2012-02-18 01:36:11.819952 I  Testing network connectivity to '192.168.13.100'
2012-02-18 01:36:11.820335 I  Starting process manager
2012-02-18 01:36:11.820384 I  Starting process signal handler
2012-02-18 01:36:11.820491 I  Starting IO manager (read)
2012-02-18 01:36:11.821660 I  Starting IO manager (write)
2012-02-18 01:36:11.929623 I  Database connection created: DBManager0
2012-02-18 01:36:11.929678 I  New DB connection, total: 1
2012-02-18 01:36:11.934388 I  Connected to database 'mythconverg' at host: 192.168.13.100
2012-02-18 01:36:11.937815 I  Closing DB connection named 'DBManager0'
2012-02-18 01:36:11.937957 I  Database connection created: DBManager1
2012-02-18 01:36:11.937978 I  New DB connection, total: 1
2012-02-18 01:36:11.938419 I  Connected to database 'mythconverg' at host: 192.168.13.100
2012-02-18 01:36:11.939180 I  Current locale el_GR
2012-02-18 01:36:11.939237 E  No locale defaults file for el_GR, skipping
2012-02-18 01:36:11.999336 I  Database connection created: DBManager2
2012-02-18 01:36:11.999360 I  New DB connection, total: 2
2012-02-18 01:36:12.000116 I  Connected to database 'mythconverg' at host: 192.168.13.100
2012-02-18 01:36:12.021584 I  ScreenSaverX11Private: DPMS is active.
2012-02-18 01:36:12.071917 N  Desktop video mode: 1920x1080 60.000 Hz
2012-02-18 01:36:12.113095 I  Loading el translation for module mythfrontend
2012-02-18 01:36:12.118794 E  LIRC: Failed to connect to Unix socket '/dev/lircd'
                        eno: Îεν Ï
ÏάÏÏει Ï
           έÏ
              οιο αÏÏείο ή καÏ
                                        Î¬Î»Î¿Î³Î¿Ï (2)
2012-02-18 01:36:12.119358 I  Binding to UDP 127.0.0.1:6948
2012-02-18 01:36:12.119399 I  Binding to UDP 192.168.13.100:6948
2012-02-18 01:36:12.119436 I  Binding to UDP 255.255.255.255:6948
2012-02-18 01:36:12.175601 I  Using Frameless Window
2012-02-18 01:36:12.175645 I  Using Full Screen Window
2012-02-18 01:36:12.239033 I  Trying the OpenGL painter
2012-02-18 01:36:12.296639 W  NVCtrl: OpenGL Sync to VBlank is disabled.
2012-02-18 01:36:12.296651 W  NVCtrl: For best results enable this in NVidia settings or try running:
2012-02-18 01:36:12.296655 W  NVCtrl: nvidia-settings -a "SyncToVBlank=1"
2012-02-18 01:36:12.296690 W  NVCtrl: Alternatively try setting the '__GL_SYNC_TO_VBLANK' environment variable.
2012-02-18 01:36:12.314070 W  OpenGL: OpenGL is using software rasterizer.
2012-02-18 01:36:12.314092 W  OpenGL painter not recommended with this system's hardware/drivers. Falling back to Qt painter.
2012-02-18 01:36:12.314105 I  Clearing OpenGL painter cache.
2012-02-18 01:36:12.314168 I  OpenGL2: Deleting OpenGL Resources
2012-02-18 01:36:12.314183 I  OpenGL: Deleting OpenGL Resources
2012-02-18 01:36:12.314516 I  Using the Qt painter
2012-02-18 01:36:12.768304 I  Current MythTV Schema Version (DBSchemaVer): 1296
2012-02-18 01:36:12.774288 I  Database connection created: DBManager3
2012-02-18 01:36:12.774319 I  New DB connection, total: 3
2012-02-18 01:36:12.774366 I  Database connection created: DBManager4
2012-02-18 01:36:12.774384 I  New DB connection, total: 4
2012-02-18 01:36:12.774814 I  Database connection created: DBManager5
2012-02-18 01:36:12.774826 I  New DB connection, total: 5
2012-02-18 01:36:12.775128 I  Connected to database 'mythconverg' at host: 192.168.13.100
2012-02-18 01:36:12.775222 I  Connected to database 'mythconverg' at host: 192.168.13.100
2012-02-18 01:36:12.775323 I  Connected to database 'mythconverg' at host: 192.168.13.100
2012-02-18 01:36:14.499359 N  Registering Internal as a media playback plugin.
2012-02-18 01:36:14.605121 E  Error Loading el translation for module mytharchive
2012-02-18 01:36:14.620307 N  Registering WebBrowser as a media playback plugin.
2012-02-18 01:36:14.620370 E  Error Loading el translation for module mythbrowser
2012-02-18 01:36:14.652949 E  Error Loading el translation for module mythgallery
2012-02-18 01:36:14.672127 E  Error Loading el translation for module mythgame
2012-02-18 01:36:14.729507 I  Current MythMusic Schema Version (MusicDBSchemaVer): 1019
2012-02-18 01:36:14.752393 E  Error Loading el translation for module mythmusic
2012-02-18 01:36:14.766081 E  Error Loading el translation for module mythnetvision
2012-02-18 01:36:14.777967 E  Error Loading el translation for module mythnews
2012-02-18 01:36:14.798196 E  SourceManager: NeedSourceFor: Unable to find source for 13, 251833, 0
2012-02-18 01:36:14.798213 E  SourceManager: NeedSourceFor: Unable to find source for 14, 251833, 0
2012-02-18 01:36:14.798223 E  SourceManager: NeedSourceFor: Unable to find source for 27, Volos, 0
2012-02-18 01:36:14.798234 E  SourceManager: NeedSourceFor: Unable to find source for 37, GR, 1
2012-02-18 01:36:14.798245 E  SourceManager: NeedSourceFor: Unable to find source for 36, HPX, 1
2012-02-18 01:36:14.798359 E  Error Loading el translation for module mythweather
2012-02-18 01:36:14.814629 E  Error Loading el translation for module mythzoneminder
2012-02-18 01:36:14.815813 I  Listening on TCP 127.0.0.1:6546
2012-02-18 01:36:14.815863 I  Listening on TCP 192.168.13.100:6546
2012-02-18 01:36:14.877010 N  Found mainmenu.xml for theme 'Arclight'
2012-02-18 01:36:14.890481 I  Database connection created: DBManager6
2012-02-18 01:36:14.890504 I  New DB connection, total: 6
2012-02-18 01:36:14.891249 I  Connected to database 'mythconverg' at host: 192.168.13.100
2012-02-18 01:36:15.115395 I  MythCoreContext: Connecting to backend server: 192.168.13.100:6543 (try 1 of 21)
2012-02-18 01:36:15.115987 I  Using protocol version 72
2012-02-18 01:36:29.952928 I  Using protocol version 72
2012-02-18 01:36:29.953694 I  Using protocol version 72
2012-02-18 01:36:57.517814 I  Using protocol version 72
2012-02-18 01:36:57.519630 I  Using protocol version 72
2012-02-18 01:36:57.535549 E  RemoteFile::openSocket(file data socket): Failed to open socket, error was filetransfer_filename_empty
2012-02-18 01:36:57.536172 E  MythUIHelper: LoadScaleImage(myth://Coverart@192.168.13.65:6543/1056_20090130210000.mkv.jpg) failed to load remote image
2012-02-18 01:36:57.536194 E  MythUIHelper: LoadScaleImage(myth://Coverart@192.168.13.65:6543/1056_20090130210000.mkv.jpg) invalid image dimensions
2012-02-18 01:37:02.538506 I  Using protocol version 72
2012-02-18 01:37:02.538670 I  Using protocol version 72
2012-02-18 01:37:02.539073 I  Using protocol version 72
2012-02-18 01:37:02.539731 I  Using protocol version 72
2012-02-18 01:37:02.539831 I  Using protocol version 72
2012-02-18 01:37:02.540175 I  Using protocol version 72
2012-02-18 01:37:02.566422 I  Using protocol version 72
2012-02-18 01:37:02.566867 I  Using protocol version 72
2012-02-18 01:37:03.391662 I  Using protocol version 72
2012-02-18 01:37:03.395181 I  Using protocol version 72
2012-02-18 01:37:05.933758 I  TV: Creating TV object
2012-02-18 01:37:05.961309 I  TV: Created TvPlayWindow.
2012-02-18 01:37:05.997978 I  TV: Attempting to change from None to WatchingVideo
2012-02-18 01:37:06.201145 W  WARNING: ***Pulse Audio is running***
2012-02-18 01:37:06.218008 N  AudioPlayer: Enabling Audio
2012-02-18 01:37:06.372473 I  AFD: Opened codec 0xb908c60, id(H264) type(Video)
2012-02-18 01:37:06.372486 I  AFD: codec AAC has 2 channels
2012-02-18 01:37:06.373861 I  AFD: Opened codec 0xb90a7c0, id(AAC) type(Audio)
2012-02-18 01:37:06.373936 I  AO: Opening audio device 'front:CARD=Intel,DEV=0' ch 2(2) sr 48000 sf signed 32 bit reenc 0
2012-02-18 01:37:06.452973 I  VDPAU: Created 2 output surfaces.
2012-02-18 01:37:06.453019 I  VDPAU: Version 1
2012-02-18 01:37:06.453028 I  VDPAU: Information NVIDIA VDPAU Driver Shared Library  295.20  Mon Feb  6 21:33:24 PST 2012
2012-02-18 01:37:06.453041 I  VDPAU: Created VDPAU render device 1920x1080
2012-02-18 01:37:06.470127 N  Player(0): Forcing decode extra audio option on (Video method requires it).
2012-02-18 01:37:06.649548 I  Player(0): Video timing method: USleep with busy wait
2012-02-18 01:37:06.650659 I  TV: Created player.
2012-02-18 01:37:06.650688 I  TV: Changing from None to WatchingVideo
2012-02-18 01:37:06.651928 I  VidOutVDPAU: Added 1 new buffers. New buffer size 43 (3 decode and 40 process)
2012-02-18 01:37:06.697997 I  TV: Main UI disabled.
2012-02-18 01:37:06.698013 I  TV: Entering main playback loop.
2012-02-18 01:37:06.698846 I  ScreenSaverX11Private: DPMS Deactivated 1
2012-02-18 01:37:06.710804 I  VDPAU: Added 2 output surfaces (total 4, max 4)
2012-02-18 01:37:32.655001 I  TV: Attempting to change from WatchingVideo to None
2012-02-18 01:37:32.671400 I  VDPAU Painter: Clearing VDPAU painter cache.
2012-02-18 01:37:32.671786 W  MythPainter: 43 images not yet de-allocated.
2012-02-18 01:37:32.790466 I  TV: Changing from WatchingVideo to None
2012-02-18 01:37:32.790492 I  TV: Exiting main playback loop.
2012-02-18 01:37:32.790748 I  ScreenSaverX11Private: DPMS Reactivated 1

comment:5 Changed 8 years ago by Github

Milestone: unknown0.25
Resolution: fixed
Status: newclosed

Don't use OpenGL ES if Qt doesn't suport it.

Thanks to Mark Kendall for letting me know that we should disable OpenGL ES if Qt wasn't compiled for OpenGL ES.

Fixes #10336.

Branch: master Changeset: c5125787b1d6f1785f4ee556f504e2114f810d36

comment:6 Changed 8 years ago by pennguin@…

Unfortunately for me it still doesn't work, it is even worst on nVidia machine, it is now compiling without OpenGL ES but... Before there was a background on 1/4 of screen, now whole screen is just black. Starting mythfrontend with -O ThemePainter?=qt doesn't help. And as you can see mythfrontend is not showing correct OpenGL vendor or capabilities (GL_EXT_vertex_array extension not supported. This may not work, but glxinfo says it is supported).

% mythfrontend --version
Please attach all output as a file in bug reports.
MythTV Version : Unknown-g8db7c05
MythTV Branch : master
Network Protocol : 72
Library API : 0.25.20120212-5
QT Version : 4.8.0
Options compiled in:
 linux profile use_hidesyms using_alsa using_pulse using_pulseoutput using_backend using_bindings_python using_bindings_php using_dvb using_frontend using_hdpvr using_iptv using_ivtv using_libcrypto using_libdns_sd using_libxml2 using_libudf using_mheg using_opengl_video using_qtwebkit using_qtscript using_qtdbus using_v4l2 using_x11 using_xrandr using_xv using_bindings_python using_bindings_php using_mythtranscode using_opengl using_vdpau using_ffmpeg_threads using_live using_mheg using_libass using_libxml2 using_libudf

% mythfrontend                            
2012-02-18 21:14:58.134029 C  mythfrontend version: master [Unknown-g8db7c05] www.mythtv.org
2012-02-18 21:14:58.134056 N  Enabled verbose msgs:  general
2012-02-18 21:14:58.134085 N  Setting Log Level to LOG_INFO
2012-02-18 21:14:58.134140 I  Added logging to the console
2012-02-18 21:14:58.134147 I  Added database logging to table logging
2012-02-18 21:14:58.134283 N  Setting up SIGHUP handler
2012-02-18 21:14:58.134424 N  Using runtime prefix = /usr
2012-02-18 21:14:58.134499 N  Using configuration directory = /home/htpc/.mythtv
2012-02-18 21:14:58.134954 W  This application expects to be running a locale that specifies a UTF-8 codeset, and many features may behave improperly with your current language settings. Please set the LC_ALL or LC_CTYPE, and LANG variable(s) in the environment in which this program is executed to include a UTF-8 codeset (such as 'en_US.UTF-8').
2012-02-18 21:14:58.135365 E  Unable to read configuration file mysql.txt
2012-02-18 21:14:58.135566 N  Empty LocalHostName.
2012-02-18 21:14:58.135574 I  Using localhost value of zygzak
2012-02-18 21:14:58.135724 I  Testing network connectivity to '10.128.0.130'
2012-02-18 21:14:58.136116 I  Starting process manager
2012-02-18 21:14:58.137129 I  Starting process signal handler
2012-02-18 21:14:58.138266 I  Starting IO manager (read)
2012-02-18 21:14:58.145092 I  Starting IO manager (write)
2012-02-18 21:14:58.255725 I  Database connection created: DBManager0
2012-02-18 21:14:58.255776 I  New DB connection, total: 1
2012-02-18 21:14:58.261810 I  Connected to database 'mythconverg' at host: 10.128.0.130
2012-02-18 21:14:58.289532 I  Closing DB connection named 'DBManager0'
2012-02-18 21:14:58.289816 I  Database connection created: DBManager1
2012-02-18 21:14:58.289838 I  New DB connection, total: 1
2012-02-18 21:14:58.294635 I  Connected to database 'mythconverg' at host: 10.128.0.130
2012-02-18 21:14:58.301884 I  Current locale pl_PT
2012-02-18 21:14:58.301941 E  No locale defaults file for pl_PT, skipping
2012-02-18 21:14:58.334815 I  Database connection created: DBManager2
2012-02-18 21:14:58.334843 I  New DB connection, total: 2
2012-02-18 21:14:58.336978 I  Connected to database 'mythconverg' at host: 10.128.0.130
2012-02-18 21:14:58.338450 I  ScreenSaverX11Private: DPMS is active.
2012-02-18 21:14:58.404554 N  Desktop video mode: 1360x768 60.015 Hz
2012-02-18 21:14:58.558627 I  Listening on TCP 127.0.0.1:6547
2012-02-18 21:14:58.558731 I  Listening on TCP 10.128.0.131:6547
2012-02-18 21:14:58.558832 I  Listening on TCP [::1]:6547
2012-02-18 21:14:59.213013 E  Bonjour: Error: -65537
2012-02-18 21:14:59.213027 E  Bonjour: Failed to register service.
2012-02-18 21:14:59.213136 E  RAOP Conn: Failed to read key from: /home/htpc/.mythtv/RAOPKey.rsa
2012-02-18 21:14:59.213145 E  RAOP Device: Aborting startup - no key found.
2012-02-18 21:14:59.236621 I  Loading pl translation for module mythfrontend
2012-02-18 21:14:59.306142 I  Binding to UDP 127.0.0.1:6948
2012-02-18 21:14:59.306196 I  Binding to UDP 10.128.0.131:6948
2012-02-18 21:14:59.306267 I  Binding to UDP [::1]:6948
2012-02-18 21:14:59.306312 I  Binding to UDP 255.255.255.255:6948
2012-02-18 21:14:59.558689 I  Using Frameless Window
2012-02-18 21:14:59.558752 I  Using Full Screen Window
2012-02-18 21:14:59.574166 I  Trying the OpenGL painter
2012-02-18 21:14:59.581473 W  NVCtrl: OpenGL Sync to VBlank is disabled.
2012-02-18 21:14:59.581490 W  NVCtrl: For best results enable this in NVidia settings or try running:
2012-02-18 21:14:59.581494 W  NVCtrl: nvidia-settings -a "SyncToVBlank=1"
2012-02-18 21:14:59.581517 W  NVCtrl: Alternatively try setting the '__GL_SYNC_TO_VBLANK' environment variable.
2012-02-18 21:14:59.687346 E  OpenGL: Multi-texturing not supported. Certain OpenGL features will not work
2012-02-18 21:14:59.687360 E  OpenGL: GL_EXT_vertex_array extension not supported. This may not work
2012-02-18 21:14:59.687371 I  OpenGL: OpenGL vendor  : 
2012-02-18 21:14:59.687383 I  OpenGL: OpenGL renderer: 
2012-02-18 21:14:59.687387 I  OpenGL: OpenGL version : 
2012-02-18 21:14:59.687400 I  OpenGL: Max texture size: 512 x 512
2012-02-18 21:14:59.687405 I  OpenGL: Max texture units: 0
2012-02-18 21:14:59.687412 I  OpenGL: Direct rendering: Yes
2012-02-18 21:14:59.687417 I  OpenGL: Initialised MythRenderOpenGL
2012-02-18 21:14:59.886693 I  Database connection created: DBManager3
2012-02-18 21:14:59.886710 I  New DB connection, total: 3
2012-02-18 21:14:59.886863 I  Database connection created: DBManager4
2012-02-18 21:14:59.886877 I  New DB connection, total: 4
2012-02-18 21:14:59.897541 I  Connected to database 'mythconverg' at host: 10.128.0.130
2012-02-18 21:14:59.898903 I  Connected to database 'mythconverg' at host: 10.128.0.130
2012-02-18 21:14:59.907906 I  Current MythTV Schema Version (DBSchemaVer): 1296
2012-02-18 21:15:02.176124 N  Registering Internal as a media playback plugin.
2012-02-18 21:15:02.229141 W  No plugins directory /usr/lib/mythtv/plugins
2012-02-18 21:15:02.337904 N  Found mainmenu.xml for theme 'Terra'
2012-02-18 21:15:02.415178 E  Failed to create OpenGL texture.
2012-02-18 21:15:02.579147 I  Database connection created: DBManager5
2012-02-18 21:15:02.579177 I  New DB connection, total: 5
2012-02-18 21:15:02.583068 I  Connected to database 'mythconverg' at host: 10.128.0.130
2012-02-18 21:15:02.628042 I  MythCoreContext: Connecting to backend server: 10.128.0.130:6543 (try 1 of 1)
2012-02-18 21:15:02.669945 I  Using protocol version 72
^C

% glxinfo 
name of display: :0.0
display: :0  screen: 0
direct rendering: Yes
server glx vendor string: NVIDIA Corporation
server glx version string: 1.4
server glx extensions:
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_SGIX_fbconfig, 
    GLX_SGIX_pbuffer, GLX_SGI_video_sync, GLX_SGI_swap_control, 
    GLX_EXT_swap_control, GLX_EXT_texture_from_pixmap, GLX_ARB_create_context, 
    GLX_ARB_create_context_profile, GLX_EXT_create_context_es2_profile, 
    GLX_ARB_create_context_robustness, GLX_ARB_multisample, 
    GLX_NV_float_buffer, GLX_ARB_fbconfig_float, GLX_EXT_framebuffer_sRGB
client glx vendor string: NVIDIA Corporation
client glx version string: 1.4
client glx extensions:
    GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_EXT_visual_info, 
    GLX_EXT_visual_rating, GLX_EXT_import_context, GLX_SGI_video_sync, 
    GLX_NV_swap_group, GLX_NV_video_out, GLX_SGIX_fbconfig, GLX_SGIX_pbuffer, 
    GLX_SGI_swap_control, GLX_EXT_swap_control, GLX_ARB_create_context, 
    GLX_ARB_create_context_profile, GLX_NV_float_buffer, 
    GLX_ARB_fbconfig_float, GLX_EXT_fbconfig_packed_float, 
    GLX_EXT_texture_from_pixmap, GLX_EXT_framebuffer_sRGB, 
    GLX_NV_present_video, GLX_NV_copy_image, GLX_NV_multisample_coverage, 
    GLX_NV_video_capture, GLX_EXT_create_context_es2_profile, 
    GLX_ARB_create_context_robustness
GLX version: 1.4
GLX extensions:
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_SGIX_fbconfig, 
    GLX_SGIX_pbuffer, GLX_SGI_video_sync, GLX_SGI_swap_control, 
    GLX_EXT_swap_control, GLX_EXT_texture_from_pixmap, GLX_ARB_create_context, 
    GLX_ARB_create_context_profile, GLX_EXT_create_context_es2_profile, 
    GLX_ARB_create_context_robustness, GLX_ARB_multisample, 
    GLX_NV_float_buffer, GLX_ARB_fbconfig_float, GLX_EXT_framebuffer_sRGB, 
    GLX_ARB_get_proc_address
OpenGL vendor string: NVIDIA Corporation
OpenGL renderer string: GeForce 8600 GT/PCIe/SSE2
OpenGL version string: 3.3.0 NVIDIA 295.20
OpenGL shading language version string: 3.30 NVIDIA via Cg compiler
OpenGL extensions:
    GL_ARB_base_instance, GL_ARB_blend_func_extended, 
    GL_ARB_color_buffer_float, GL_ARB_compatibility, 
    GL_ARB_compressed_texture_pixel_storage, GL_ARB_conservative_depth, 
    GL_ARB_copy_buffer, GL_ARB_depth_buffer_float, GL_ARB_depth_clamp, 
    GL_ARB_depth_texture, GL_ARB_draw_buffers, 
    GL_ARB_draw_elements_base_vertex, GL_ARB_draw_instanced, 
    GL_ARB_ES2_compatibility, GL_ARB_explicit_attrib_location, 
    GL_ARB_fragment_coord_conventions, GL_ARB_fragment_program, 
    GL_ARB_fragment_program_shadow, GL_ARB_fragment_shader, 
    GL_ARB_framebuffer_object, GL_ARB_framebuffer_sRGB, 
    GL_ARB_geometry_shader4, GL_ARB_get_program_binary, 
    GL_ARB_half_float_pixel, GL_ARB_half_float_vertex, GL_ARB_imaging, 
    GL_ARB_instanced_arrays, GL_ARB_internalformat_query, 
    GL_ARB_map_buffer_alignment, GL_ARB_map_buffer_range, GL_ARB_multisample, 
    GL_ARB_multitexture, GL_ARB_occlusion_query, GL_ARB_occlusion_query2, 
    GL_ARB_pixel_buffer_object, GL_ARB_point_parameters, GL_ARB_point_sprite, 
    GL_ARB_provoking_vertex, GL_ARB_robustness, GL_ARB_sampler_objects, 
    GL_ARB_seamless_cube_map, GL_ARB_separate_shader_objects, 
    GL_ARB_shader_bit_encoding, GL_ARB_shader_objects, 
    GL_ARB_shading_language_100, GL_ARB_shading_language_420pack, 
    GL_ARB_shading_language_include, GL_ARB_shading_language_packing, 
    GL_ARB_shadow, GL_ARB_sync, GL_ARB_texture_border_clamp, 
    GL_ARB_texture_buffer_object, GL_ARB_texture_compression, 
    GL_ARB_texture_compression_rgtc, GL_ARB_texture_cube_map, 
    GL_ARB_texture_env_add, GL_ARB_texture_env_combine, 
    GL_ARB_texture_env_crossbar, GL_ARB_texture_env_dot3, 
    GL_ARB_texture_float, GL_ARB_texture_mirrored_repeat, 
    GL_ARB_texture_multisample, GL_ARB_texture_non_power_of_two, 
    GL_ARB_texture_rectangle, GL_ARB_texture_rg, GL_ARB_texture_rgb10_a2ui, 
    GL_ARB_texture_storage, GL_ARB_texture_swizzle, GL_ARB_timer_query, 
    GL_ARB_transpose_matrix, GL_ARB_uniform_buffer_object, 
    GL_ARB_vertex_array_bgra, GL_ARB_vertex_array_object, 
    GL_ARB_vertex_buffer_object, GL_ARB_vertex_program, GL_ARB_vertex_shader, 
    GL_ARB_vertex_type_2_10_10_10_rev, GL_ARB_viewport_array, 
    GL_ARB_window_pos, GL_ATI_draw_buffers, GL_ATI_texture_float, 
    GL_ATI_texture_mirror_once, GL_S3_s3tc, GL_EXT_texture_env_add, 
    GL_EXT_abgr, GL_EXT_bgra, GL_EXT_bindable_uniform, GL_EXT_blend_color, 
    GL_EXT_blend_equation_separate, GL_EXT_blend_func_separate, 
    GL_EXT_blend_minmax, GL_EXT_blend_subtract, GL_EXT_compiled_vertex_array, 
    GL_EXT_Cg_shader, GL_EXT_depth_bounds_test, GL_EXT_direct_state_access, 
    GL_EXT_draw_buffers2, GL_EXT_draw_instanced, GL_EXT_draw_range_elements, 
    GL_EXT_fog_coord, GL_EXT_framebuffer_blit, GL_EXT_framebuffer_multisample, 
    GL_EXTX_framebuffer_mixed_formats, GL_EXT_framebuffer_object, 
    GL_EXT_framebuffer_sRGB, GL_EXT_geometry_shader4, 
    GL_EXT_gpu_program_parameters, GL_EXT_gpu_shader4, 
    GL_EXT_multi_draw_arrays, GL_EXT_packed_depth_stencil, 
    GL_EXT_packed_float, GL_EXT_packed_pixels, GL_EXT_pixel_buffer_object, 
    GL_EXT_point_parameters, GL_EXT_provoking_vertex, GL_EXT_rescale_normal, 
    GL_EXT_secondary_color, GL_EXT_separate_shader_objects, 
    GL_EXT_separate_specular_color, GL_EXT_shadow_funcs, 
    GL_EXT_stencil_two_side, GL_EXT_stencil_wrap, GL_EXT_texture3D, 
    GL_EXT_texture_array, GL_EXT_texture_buffer_object, 
    GL_EXT_texture_compression_dxt1, GL_EXT_texture_compression_latc, 
    GL_EXT_texture_compression_rgtc, GL_EXT_texture_compression_s3tc, 
    GL_EXT_texture_cube_map, GL_EXT_texture_edge_clamp, 
    GL_EXT_texture_env_combine, GL_EXT_texture_env_dot3, 
    GL_EXT_texture_filter_anisotropic, GL_EXT_texture_format_BGRA8888, 
    GL_EXT_texture_integer, GL_EXT_texture_lod, GL_EXT_texture_lod_bias, 
    GL_EXT_texture_mirror_clamp, GL_EXT_texture_object, 
    GL_EXT_texture_shared_exponent, GL_EXT_texture_sRGB, 
    GL_EXT_texture_sRGB_decode, GL_EXT_texture_storage, 
    GL_EXT_texture_swizzle, GL_EXT_texture_type_2_10_10_10_REV, 
    GL_EXT_timer_query, GL_EXT_vertex_array, GL_EXT_vertex_array_bgra, 
    GL_EXT_x11_sync_object, GL_EXT_import_sync_object, GL_IBM_rasterpos_clip, 
    GL_IBM_texture_mirrored_repeat, GL_KTX_buffer_region, GL_NV_alpha_test, 
    GL_NV_blend_minmax, GL_NV_blend_square, GL_NV_complex_primitives, 
    GL_NV_conditional_render, GL_NV_copy_depth_to_color, GL_NV_copy_image, 
    GL_NV_depth_buffer_float, GL_NV_depth_clamp, GL_NV_explicit_multisample, 
    GL_NV_fbo_color_attachments, GL_NV_fence, GL_NV_float_buffer, 
    GL_NV_fog_distance, GL_NV_fragdepth, GL_NV_fragment_program, 
    GL_NV_fragment_program_option, GL_NV_fragment_program2, 
    GL_NV_framebuffer_multisample_coverage, GL_NV_geometry_shader4, 
    GL_NV_gpu_program4, GL_NV_half_float, GL_NV_light_max_exponent, 
    GL_NV_multisample_coverage, GL_NV_multisample_filter_hint, 
    GL_NV_occlusion_query, GL_NV_packed_depth_stencil, 
    GL_NV_parameter_buffer_object, GL_NV_parameter_buffer_object2, 
    GL_NV_path_rendering, GL_NV_pixel_data_range, GL_NV_point_sprite, 
    GL_NV_primitive_restart, GL_NV_register_combiners, 
    GL_NV_register_combiners2, GL_NV_shader_buffer_load, 
    GL_NV_texgen_reflection, GL_NV_texture_barrier, 
    GL_NV_texture_compression_vtc, GL_NV_texture_env_combine4, 
    GL_NV_texture_expand_normal, GL_NV_texture_lod_clamp, 
    GL_NV_texture_multisample, GL_NV_texture_rectangle, GL_NV_texture_shader, 
    GL_NV_texture_shader2, GL_NV_texture_shader3, GL_NV_transform_feedback, 
    GL_NV_vdpau_interop, GL_NV_vertex_array_range, GL_NV_vertex_array_range2, 
    GL_NV_vertex_buffer_unified_memory, GL_NV_vertex_program, 
    GL_NV_vertex_program1_1, GL_NV_vertex_program2, 
    GL_NV_vertex_program2_option, GL_NV_vertex_program3, 
    GL_NVX_conditional_render, GL_NVX_gpu_memory_info, GL_OES_depth24, 
    GL_OES_depth32, GL_OES_depth_texture, GL_OES_element_index_uint, 
    GL_OES_fbo_render_mipmap, GL_OES_get_program_binary, GL_OES_mapbuffer, 
    GL_OES_packed_depth_stencil, GL_OES_rgb8_rgba8, 
    GL_OES_standard_derivatives, GL_OES_texture_3D, GL_OES_texture_float, 
    GL_OES_texture_float_linear, GL_OES_texture_half_float, 
    GL_OES_texture_half_float_linear, GL_OES_texture_npot, 
    GL_OES_vertex_array_object, GL_OES_vertex_half_float, 
    GL_SGIS_generate_mipmap, GL_SGIS_texture_lod, GL_SGIX_depth_texture, 
    GL_SGIX_shadow, GL_SUN_slice_accum

comment:7 Changed 8 years ago by beirdo

Ticket locked: set

Take the discussion onto the mailing lists please.

comment:8 Changed 8 years ago by Github

Ensure we use the right OpenGL libs.

After c5125787b , even though we're no longer compiling OpenGL ES support when Qt wasn't compiled to use Qt, we were still linking OpenGL ES libs on systems with OpenGL ES development packages installed. This change should ensure we use OpenGL ES libs only when using a Qt version compiled against OpenGL ES, and use non-ES libs when using a Qt version compiled against non-ES OpenGL.

This seems like it should work for all systems--Qt using OpenGL with OpenGL installed on the system (regardless of whether OpenGL ES is installed) or Qt using OpenGL ES with OpenGL ES installed (regardless of whether non-ES OpenGL is installed)--but I haven't tested it on an OpenGL ES compile, so please let me know if you encounter difficulties.

Refs #10336

Branch: master Changeset: 1f464e9cd2096387f629b4fb6c7e82fc5fc5478a

Note: See TracTickets for help on using tickets.